# Interface methods for submodule: ArrowSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectProxy as _SpatialObjectProxy


# Interface methods for class: ArrowSpatialObject
class ArrowSpatialObjectProxy(_SpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def SetPositionInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetPositionInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetDirectionInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetDirectionInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetLengthInObjectSpace(self, _arg: float) -> None:
		""""""
		...

	def GetLengthInObjectSpace(self) -> float:
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

	def GetPositionInWorldSpace(self) -> Sequence[float]:
		""""""
		...

	def GetDirectionInWorldSpace(self) -> Sequence[float]:
		""""""
		...

	def GetLengthInWorldSpace(self) -> float:
		""""""
		...

